/* Utils.c generated by valac 0.56.17, the Vala compiler
 * generated from Utils.vala, do not modify */

/*-
 * Copyright (c) 2017-2017 Artem Anufrij <artem.anufrij@live.de>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Artem Anufrij <artem.anufrij@live.de>
 */

#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <glib-object.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef enum  {
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_VIDEO = 1 << 0,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_AUDIO = 1 << 1,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_TEXT = 1 << 2,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_VIS = 1 << 3,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_SOFT_VOLUME = 1 << 4,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_NATIVE_AUDIO = 1 << 5,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_NATIVE_VIDEO = 1 << 6,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_DOWNLOAD = 1 << 7,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_BUFFERING = 1 << 8,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_DEINTERLACE = 1 << 9,
	PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_SOFT_COLORBALANCE = 1 << 10
} PlayMyVideosUtilsPlayFlags;

#define PLAY_MY_VIDEOS_UTILS_TYPE_PLAY_FLAGS (play_my_videos_utils_play_flags_get_type ())

VALA_EXTERN gchar* play_my_videos_utils_get_title_from_basename (const gchar* basename);
VALA_EXTERN gchar* play_my_videos_utils_get_box_title_from_path (const gchar* path);
VALA_EXTERN gint play_my_videos_utils_get_year_from_basename (const gchar* basename);
VALA_EXTERN gchar** play_my_videos_utils_subtitle_extentions (gint* result_length1);
VALA_EXTERN void play_my_videos_utils_get_title_items (const gchar* box_title,
                                           gchar** title,
                                           gint* season,
                                           gint* year);
VALA_EXTERN GType play_my_videos_utils_play_flags_get_type (void) G_GNUC_CONST ;

static gint
string_last_index_of_char (const gchar* self,
                           gunichar c,
                           gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
	g_return_val_if_fail (self != NULL, 0);
	_tmp0_ = g_utf8_strrchr (((gchar*) self) + start_index, (gssize) -1, c);
	_result_ = _tmp0_;
	_tmp1_ = _result_;
	if (_tmp1_ != NULL) {
		gchar* _tmp2_;
		_tmp2_ = _result_;
		result = (gint) (_tmp2_ - ((gchar*) self));
		return result;
	} else {
		result = -1;
		return result;
	}
}

static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	glong result;
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
	end = _tmp0_;
	_tmp1_ = end;
	if (_tmp1_ == NULL) {
		result = maxlen;
		return result;
	} else {
		gchar* _tmp2_;
		_tmp2_ = end;
		result = (glong) (_tmp2_ - str);
		return result;
	}
}

static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	gchar* _tmp3_;
	gchar* result;
	g_return_val_if_fail (self != NULL, NULL);
	if (offset >= ((glong) 0)) {
		_tmp0_ = len >= ((glong) 0);
	} else {
		_tmp0_ = FALSE;
	}
	if (_tmp0_) {
		string_length = string_strnlen ((gchar*) self, offset + len);
	} else {
		gint _tmp1_;
		gint _tmp2_;
		_tmp1_ = strlen (self);
		_tmp2_ = _tmp1_;
		string_length = (glong) _tmp2_;
	}
	if (offset < ((glong) 0)) {
		offset = string_length + offset;
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
	} else {
		g_return_val_if_fail (offset <= string_length, NULL);
	}
	if (len < ((glong) 0)) {
		len = string_length - offset;
	}
	g_return_val_if_fail ((offset + len) <= string_length, NULL);
	_tmp3_ = g_strndup (((gchar*) self) + offset, (gsize) len);
	result = _tmp3_;
	return result;
}

gchar*
play_my_videos_utils_get_title_from_basename (const gchar* basename)
{
	gint index = 0;
	gchar* _tmp1_;
	gchar* result;
	g_return_val_if_fail (basename != NULL, NULL);
	index = string_last_index_of_char (basename, (gunichar) '.', 0);
	if (index > -1) {
		gchar* _tmp0_;
		_tmp0_ = string_substring (basename, (glong) 0, (glong) index);
		result = _tmp0_;
		return result;
	}
	_tmp1_ = g_strdup (basename);
	result = _tmp1_;
	return result;
}

gchar*
play_my_videos_utils_get_box_title_from_path (const gchar* path)
{
	gchar* directory = NULL;
	gchar* _tmp0_;
	gchar* return_value = NULL;
	gchar* _tmp1_;
	GError* _inner_error0_ = NULL;
	gchar* result;
	g_return_val_if_fail (path != NULL, NULL);
	_tmp0_ = g_path_get_dirname (path);
	directory = _tmp0_;
	_tmp1_ = g_path_get_basename (directory);
	return_value = _tmp1_;
	{
		GRegex* regex = NULL;
		GRegex* _tmp2_;
		GMatchInfo* match_info = NULL;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		GMatchInfo* _tmp6_ = NULL;
		gboolean _tmp7_;
		gboolean _tmp8_;
		_tmp2_ = g_regex_new ("^season(\\s)?\\d*", 0, 0, &_inner_error0_);
		regex = _tmp2_;
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
			goto __catch0_g_error;
		}
		_tmp3_ = return_value;
		_tmp4_ = g_utf8_strdown (_tmp3_, (gssize) -1);
		_tmp5_ = _tmp4_;
		_tmp7_ = g_regex_match (regex, _tmp5_, 0, &_tmp6_);
		_g_match_info_unref0 (match_info);
		match_info = _tmp6_;
		_tmp8_ = _tmp7_;
		_g_free0 (_tmp5_);
		if (_tmp8_) {
			gchar* _tmp9_;
			gchar* _tmp10_;
			gchar* _tmp11_;
			gchar* _tmp12_;
			gchar* _tmp13_;
			gchar* _tmp14_;
			const gchar* _tmp15_;
			gchar* _tmp16_;
			_tmp9_ = g_path_get_dirname (directory);
			_tmp10_ = _tmp9_;
			_tmp11_ = g_path_get_basename (_tmp10_);
			_tmp12_ = _tmp11_;
			_tmp13_ = g_strconcat (_tmp12_, " - ", NULL);
			_tmp14_ = _tmp13_;
			_tmp15_ = return_value;
			_tmp16_ = g_strconcat (_tmp14_, _tmp15_, NULL);
			_g_free0 (return_value);
			return_value = _tmp16_;
			_g_free0 (_tmp14_);
			_g_free0 (_tmp12_);
			_g_free0 (_tmp10_);
		}
		_g_match_info_unref0 (match_info);
		_g_regex_unref0 (regex);
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
		GError* _tmp17_;
		const gchar* _tmp18_;
		err = _inner_error0_;
		_inner_error0_ = NULL;
		_tmp17_ = err;
		_tmp18_ = _tmp17_->message;
		g_warning ("Utils.vala:48: %s", _tmp18_);
		_g_error_free0 (err);
	}
	__finally0:
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
		_g_free0 (return_value);
		_g_free0 (directory);
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
		g_clear_error (&_inner_error0_);
		return NULL;
	}
	result = return_value;
	_g_free0 (directory);
	return result;
}

gint
play_my_videos_utils_get_year_from_basename (const gchar* basename)
{
	gint return_value = 0;
	GError* _inner_error0_ = NULL;
	gint result;
	g_return_val_if_fail (basename != NULL, 0);
	return_value = 0;
	{
		GRegex* regex = NULL;
		GRegex* _tmp0_;
		GMatchInfo* match_info = NULL;
		GMatchInfo* _tmp1_ = NULL;
		gboolean _tmp2_;
		_tmp0_ = g_regex_new ("(?<=\\()[12]\\d\\d\\d(?=\\)\\.)", 0, 0, &_inner_error0_);
		regex = _tmp0_;
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
			goto __catch0_g_error;
		}
		_tmp2_ = g_regex_match (regex, basename, 0, &_tmp1_);
		_g_match_info_unref0 (match_info);
		match_info = _tmp1_;
		if (_tmp2_) {
			GMatchInfo* _tmp3_;
			gchar* _tmp4_;
			gchar* _tmp5_;
			_tmp3_ = match_info;
			_tmp4_ = g_match_info_fetch (_tmp3_, 0);
			_tmp5_ = _tmp4_;
			return_value = atoi (_tmp5_);
			_g_free0 (_tmp5_);
		}
		_g_match_info_unref0 (match_info);
		_g_regex_unref0 (regex);
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
		err = _inner_error0_;
		_inner_error0_ = NULL;
		_tmp6_ = err;
		_tmp7_ = _tmp6_->message;
		g_warning ("Utils.vala:64: %s", _tmp7_);
		_g_error_free0 (err);
	}
	__finally0:
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
		gint _tmp8_ = -1;
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
		g_clear_error (&_inner_error0_);
		return _tmp8_;
	}
	result = return_value;
	return result;
}

gchar**
play_my_videos_utils_subtitle_extentions (gint* result_length1)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint _tmp7__length1;
	gchar** result;
	_tmp0_ = g_strdup ("sub");
	_tmp1_ = g_strdup ("srt");
	_tmp2_ = g_strdup ("smi");
	_tmp3_ = g_strdup ("ssa");
	_tmp4_ = g_strdup ("ass");
	_tmp5_ = g_strdup ("asc");
	_tmp6_ = g_new0 (gchar*, 6 + 1);
	_tmp6_[0] = _tmp0_;
	_tmp6_[1] = _tmp1_;
	_tmp6_[2] = _tmp2_;
	_tmp6_[3] = _tmp3_;
	_tmp6_[4] = _tmp4_;
	_tmp6_[5] = _tmp5_;
	_tmp7_ = _tmp6_;
	_tmp7__length1 = 6;
	if (result_length1) {
		*result_length1 = _tmp7__length1;
	}
	result = _tmp7_;
	return result;
}

static gint
string_last_index_of (const gchar* self,
                      const gchar* needle,
                      gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
	g_return_val_if_fail (self != NULL, 0);
	g_return_val_if_fail (needle != NULL, 0);
	_tmp0_ = g_strrstr (((gchar*) self) + start_index, (gchar*) needle);
	_result_ = _tmp0_;
	_tmp1_ = _result_;
	if (_tmp1_ != NULL) {
		gchar* _tmp2_;
		_tmp2_ = _result_;
		result = (gint) (_tmp2_ - ((gchar*) self));
		return result;
	} else {
		result = -1;
		return result;
	}
}

static gchar*
string_strip (const gchar* self)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* result;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = g_strdup (self);
	_result_ = _tmp0_;
	g_strstrip (_result_);
	result = _result_;
	return result;
}

void
play_my_videos_utils_get_title_items (const gchar* box_title,
                                      gchar** title,
                                      gint* season,
                                      gint* year)
{
	gchar* _vala_title = NULL;
	gint _vala_season = 0;
	gint _vala_year = 0;
	GRegex* regex = NULL;
	gchar* _tmp34_;
	GError* _inner_error0_ = NULL;
	g_return_if_fail (box_title != NULL);
	_vala_season = 0;
	_vala_year = 0;
	{
		GRegex* _tmp0_ = NULL;
		GRegex* _tmp1_;
		GRegex* _tmp2_;
		GMatchInfo* match_info = NULL;
		GRegex* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		GMatchInfo* _tmp6_ = NULL;
		gboolean _tmp7_;
		gboolean _tmp8_;
		_tmp1_ = g_regex_new ("(?<=\\- season )\\d*$", 0, 0, &_inner_error0_);
		_tmp0_ = _tmp1_;
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
			goto __catch0_g_error;
		}
		_tmp2_ = _tmp0_;
		_tmp0_ = NULL;
		_g_regex_unref0 (regex);
		regex = _tmp2_;
		_tmp3_ = regex;
		_tmp4_ = g_utf8_strdown (box_title, (gssize) -1);
		_tmp5_ = _tmp4_;
		_tmp7_ = g_regex_match (_tmp3_, _tmp5_, 0, &_tmp6_);
		_g_match_info_unref0 (match_info);
		match_info = _tmp6_;
		_tmp8_ = _tmp7_;
		_g_free0 (_tmp5_);
		if (_tmp8_) {
			GMatchInfo* _tmp9_;
			gchar* _tmp10_;
			gchar* _tmp11_;
			gchar* _tmp12_;
			gchar* _tmp13_;
			gchar* _tmp14_;
			_tmp9_ = match_info;
			_tmp10_ = g_match_info_fetch (_tmp9_, 0);
			_tmp11_ = _tmp10_;
			_vala_season = atoi (_tmp11_);
			_g_free0 (_tmp11_);
			_tmp12_ = string_substring (box_title, (glong) 0, (glong) string_last_index_of (box_title, "-", 0));
			_tmp13_ = _tmp12_;
			_tmp14_ = string_strip (_tmp13_);
			_g_free0 (_vala_title);
			_vala_title = _tmp14_;
			_g_free0 (_tmp13_);
			_g_match_info_unref0 (match_info);
			_g_regex_unref0 (_tmp0_);
			_g_regex_unref0 (regex);
			if (title) {
				*title = _vala_title;
			} else {
				_g_free0 (_vala_title);
			}
			if (season) {
				*season = _vala_season;
			}
			if (year) {
				*year = _vala_year;
			}
			return;
		}
		_g_match_info_unref0 (match_info);
		_g_regex_unref0 (_tmp0_);
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
		err = _inner_error0_;
		_inner_error0_ = NULL;
		_tmp15_ = err;
		_tmp16_ = _tmp15_->message;
		g_warning ("Utils.vala:88: %s", _tmp16_);
		_g_error_free0 (err);
	}
	__finally0:
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
		_g_regex_unref0 (regex);
		_g_free0 (_vala_title);
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
		g_clear_error (&_inner_error0_);
		return;
	}
	{
		GRegex* _tmp17_ = NULL;
		GRegex* _tmp18_;
		GRegex* _tmp19_;
		GMatchInfo* match_info = NULL;
		GRegex* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
		GMatchInfo* _tmp23_ = NULL;
		gboolean _tmp24_;
		gboolean _tmp25_;
		_tmp18_ = g_regex_new ("(?<=\\()[12]\\d\\d\\d(?=\\)$)", 0, 0, &_inner_error0_);
		_tmp17_ = _tmp18_;
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
			goto __catch1_g_error;
		}
		_tmp19_ = _tmp17_;
		_tmp17_ = NULL;
		_g_regex_unref0 (regex);
		regex = _tmp19_;
		_tmp20_ = regex;
		_tmp21_ = g_utf8_strdown (box_title, (gssize) -1);
		_tmp22_ = _tmp21_;
		_tmp24_ = g_regex_match (_tmp20_, _tmp22_, 0, &_tmp23_);
		_g_match_info_unref0 (match_info);
		match_info = _tmp23_;
		_tmp25_ = _tmp24_;
		_g_free0 (_tmp22_);
		if (_tmp25_) {
			GMatchInfo* _tmp26_;
			gchar* _tmp27_;
			gchar* _tmp28_;
			gchar* _tmp29_;
			gchar* _tmp30_;
			gchar* _tmp31_;
			_tmp26_ = match_info;
			_tmp27_ = g_match_info_fetch (_tmp26_, 0);
			_tmp28_ = _tmp27_;
			_vala_year = atoi (_tmp28_);
			_g_free0 (_tmp28_);
			_tmp29_ = string_substring (box_title, (glong) 0, (glong) string_last_index_of (box_title, "(", 0));
			_tmp30_ = _tmp29_;
			_tmp31_ = string_strip (_tmp30_);
			_g_free0 (_vala_title);
			_vala_title = _tmp31_;
			_g_free0 (_tmp30_);
			_g_match_info_unref0 (match_info);
			_g_regex_unref0 (_tmp17_);
			_g_regex_unref0 (regex);
			if (title) {
				*title = _vala_title;
			} else {
				_g_free0 (_vala_title);
			}
			if (season) {
				*season = _vala_season;
			}
			if (year) {
				*year = _vala_year;
			}
			return;
		}
		_g_match_info_unref0 (match_info);
		_g_regex_unref0 (_tmp17_);
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* err = NULL;
		GError* _tmp32_;
		const gchar* _tmp33_;
		err = _inner_error0_;
		_inner_error0_ = NULL;
		_tmp32_ = err;
		_tmp33_ = _tmp32_->message;
		g_warning ("Utils.vala:101: %s", _tmp33_);
		_g_error_free0 (err);
	}
	__finally1:
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
		_g_regex_unref0 (regex);
		_g_free0 (_vala_title);
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
		g_clear_error (&_inner_error0_);
		return;
	}
	_tmp34_ = g_strdup (box_title);
	_g_free0 (_vala_title);
	_vala_title = _tmp34_;
	_g_regex_unref0 (regex);
	if (title) {
		*title = _vala_title;
	} else {
		_g_free0 (_vala_title);
	}
	if (season) {
		*season = _vala_season;
	}
	if (year) {
		*year = _vala_year;
	}
}

static GType
play_my_videos_utils_play_flags_get_type_once (void)
{
	static const GEnumValue values[] = {{PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_VIDEO, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_VIDEO", "video"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_AUDIO, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_AUDIO", "audio"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_TEXT, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_TEXT", "text"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_VIS, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_VIS", "vis"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_SOFT_VOLUME, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_SOFT_VOLUME", "soft-volume"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_NATIVE_AUDIO, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_NATIVE_AUDIO", "native-audio"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_NATIVE_VIDEO, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_NATIVE_VIDEO", "native-video"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_DOWNLOAD, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_DOWNLOAD", "download"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_BUFFERING, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_BUFFERING", "buffering"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_DEINTERLACE, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_DEINTERLACE", "deinterlace"}, {PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_SOFT_COLORBALANCE, "PLAY_MY_VIDEOS_UTILS_PLAY_FLAGS_SOFT_COLORBALANCE", "soft-colorbalance"}, {0, NULL, NULL}};
	GType play_my_videos_utils_play_flags_type_id;
	play_my_videos_utils_play_flags_type_id = g_enum_register_static ("PlayMyVideosUtilsPlayFlags", values);
	return play_my_videos_utils_play_flags_type_id;
}

GType
play_my_videos_utils_play_flags_get_type (void)
{
	static volatile gsize play_my_videos_utils_play_flags_type_id__once = 0;
	if (g_once_init_enter (&play_my_videos_utils_play_flags_type_id__once)) {
		GType play_my_videos_utils_play_flags_type_id;
		play_my_videos_utils_play_flags_type_id = play_my_videos_utils_play_flags_get_type_once ();
		g_once_init_leave (&play_my_videos_utils_play_flags_type_id__once, play_my_videos_utils_play_flags_type_id);
	}
	return play_my_videos_utils_play_flags_type_id__once;
}

